import QtQuick 2.0

Item {
  property string appId
  property variant publishPermissions
  property variant readPermissions
  property variant sessionState

  property string licenseKey
  property string accessToken
  property variant grantedPermissions

  signal openSessionFailed(string reason)
  signal getGraphRequestFinished(string graphPath, int resultState, string result)
  signal openWallDialogFinished(int resultState, string result)
  signal postGraphRequestFinished(string graphPath, int resultState, string result)
  signal friendPickerDialogFinished(int resultState, variant friends)

  function closeSession() { }
  function fetchUserDetails() { }
  function getGraphRequest(graphPath, params) { }
  function openSession() { }
  function openWallDialog(params) { }
  function openFriendPickerDialog(allowsMultipleSelection) { }
  function postGraphRequest(graphPath, params) { }
}
