//pragma Singleton // this would allow defining the banner type enum, but then the object is not creatable any more!
// thus add a bool isSupportedPlatform to avoid setting the bannertype enum on unsupported platforms
import QtQuick 2.0

Item {
  property string adUnitId
  property variant banner
  property variant testDeviceIds
  property string licenseKey

  // can then be used like that:
  // on not supported platforms, just set the banner type to 0 so the app doesnt crash
  //banner: typeof(isSupportedPlatform) === "undefined" ? AdMobBanner.Smart : 0
  property bool isSupportedPlatform: false

  signal adFailedToReceive
  signal failedToLoadAd
}
